Name:		getmail
Summary:	POP3 mail retriever with reliable Maildir delivery
Version:	4.46.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/Mail
URL:		http://pyropus.ca/software/getmail/
Source:		http://pyropus.ca/software/getmail/old-versions/%{name}-%{version}.tar.gz
BuildRequires:	python-devel
BuildArch:	noarch

%description
getmail is intended as a simple replacement for fetchmail for those people
who do not need its various and sundry configuration options, complexities,
and bugs.  It retrieves mail from one or more POP3 servers for one or more
email accounts, and reliably delivers into a Maildir specified on a
per-account basis.  It can also deliver into mbox files, although this
should not be attempted over NFS.  getmail is written entirely in python.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install \
	--skip-build \
	--root=%{buildroot}

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

%files
%doc docs/BUGS docs/CHANGELOG docs/TODO docs/THANKS
%doc docs/*.txt docs/*.html docs/*.css
%doc docs/getmailrc-examples
%{py_puresitedir}/getmailcore/
%{py_puresitedir}/*.egg-info
%{_bindir}/%{name}*
%{_mandir}/man1/%{name}*


%changelog
* Sun Nov 02 2014 remmy <remmy> 4.46.0-1.mga4
+ Revision: 795175
- New upstream version, fixes several SSL vulnerabilities (mga#14245,
  CVE-2014-7273, CVE-2014-7274, CVE-2014-7275).

* Tue Oct 22 2013 umeabot <umeabot> 4.41.0-3.mga4
+ Revision: 542541
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 4.41.0-2.mga4
+ Revision: 497758
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 09 2013 wally <wally> 4.41.0-1.mga4
+ Revision: 452117
- new version 4.41.0
- clean .spec a bit

* Sat Jan 12 2013 umeabot <umeabot> 4.36.0-2.mga3
+ Revision: 351499
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 remmy <remmy> 4.36.0-1.mga3
+ Revision: 331399
- New upstream version 4.36.0, adding support for storing and retrieving
  passwords on the GNOME keyring

* Sun Nov 11 2012 remmy <remmy> 4.35.0-1.mga3
+ Revision: 316933
- New upstream version: 4.35.0

* Sat Sep 15 2012 remmy <remmy> 4.34.0-1.mga3
+ Revision: 294072
- New upstream version: 4.34.0

* Sat Aug 11 2012 remmy <remmy> 4.33.0-1.mga3
+ Revision: 280521
- New upstream version: 4.33.0

* Sat Jul 07 2012 remmy <remmy> 4.32.0-1.mga3
+ Revision: 268568
- New upstream version: 4.32.0

* Fri Jul 06 2012 remmy <remmy> 4.31.0-1.mga3
+ Revision: 268410
- New upstream version: 4.31.0

* Fri Jun 22 2012 remmy <remmy> 4.30.1-1.mga3
+ Revision: 262550
- New upstream version: 4.30.1

* Sun Nov 20 2011 kharec <kharec> 4.23.0-2.mga2
+ Revision: 170082
- new version 4.23.0

* Sat Oct 01 2011 stormi <stormi> 4.22.1-2.mga2
+ Revision: 150809
- bump release to stay above Mageia 1

* Sat Oct 01 2011 remmy <remmy> 4.22.1-1.mga2
+ Revision: 150803
- Update to latest upstream version

* Sun Jun 19 2011 kharec <kharec> 4.20.3-1.mga2
+ Revision: 109741
- new version 4.20.3

* Sun Jan 09 2011 kharec <kharec> 4.20.0-2.mga2
+ Revision: 1339
- imported package getmail

